package io.voosh.api;

import com.amazonaws.services.dynamodbv2.datamodeling.DynamoDBAutoGeneratedKey;
import com.amazonaws.services.dynamodbv2.datamodeling.DynamoDBHashKey;
import com.amazonaws.services.dynamodbv2.datamodeling.DynamoDBTable;
import io.voosh.config.TableNames;
import io.voosh.shared.Logging;

import java.util.logging.Logger;


@DynamoDBTable(tableName = TableNames.PROJECT)
public class Project
{
    private final Logger log = Logging.get(this);

    @DynamoDBAutoGeneratedKey
    @DynamoDBHashKey
    private String id;

    private String url;

    public Project()
    {
    }

    public Project(String url)
    {
        this.url = url;
    }

    public String getId()
    {
        return id;
    }

    public void setId(String id)
    {
        this.id = id;
    }

    public String getUrl()
    {
        return url;
    }

    public void setUrl(String url)
    {
        this.url = url;
    }

    @Override
    public String toString()
    {
        return "Project{" +
               "id='" + id + '\'' +
               ", url='" + url + '\'' +
               '}';
    }
}
